function registerShowAllFilaButton(obj, butt)
    butt.ButtonPushedFcn = @(src, evt)(buttonPushedCallback(obj.ndFilaEngn, src, evt));
    
    comg.Node.output("Enable Show-All-Filaments-Button",...
            @(fila_engine)(enableButton(butt, fila_engine)), ...
            obj.ndFilaEngn ...
        ).activate();
end

function enableButton(butt, fila_engine)
    flag_enable = fila_engine.allowShowAdllFilament();
    butt.Enable = flag_enable;
end

function buttonPushedCallback(ndFilaEngn, src, evt)
    fprintf("Show All Filaments button pushed.\n");
    ndFilaEngn.value.showAllFilaments();
    ndFilaEngn.update();
end
