function registerTFAddptButton(obj, butt)
    butt.ButtonPushedFcn = @(src, evt)(buttonPushedCallback( ...
        obj.ndTFStat, obj.ndTFCurrPt, ...
        src, evt));
    
    comg.Node.output("Enable TF-Add-Point-Button",...
            @(fila_engine, stat_free, stat_foc)(enableComponent(butt, fila_engine, stat_free, stat_foc)), ...
            obj.ndFilaEngn, obj.ndStatTFFree, obj.ndStatTFFoc ...
        ).activate();
end

function enableComponent(component, fila_engine, stat_free, stat_foc)
    flag_enable = fila_engine.inFilamentTuningMode();
    flag_enable = flag_enable && (stat_free || stat_foc);

    component.Enable = flag_enable;
end

function buttonPushedCallback(ndTFStat, ndTFCurrPt, src, evt)
    fprintf("TF TF-Add-Point-Button pushed.\n");
    
    ndTFStat.updateValue(helix.TomoFilamentUIManager.tf_stat_adding);
end
