function extrSelectingFila(obj)

    if ~obj.ndFilaEngn.value.inFilamentTuningMode()
        obj.cvter_cyl2eul = @(cyl)([]);
        obj.cvter_eul2cyl = @(eul)([]);

        upder = [];
        upder = obj.ndExtrFilaPts.updateValue([], upder);
        upder = obj.ndExtrFilaPtLens.updateValue([], upder);
        upder = obj.ndTFNewFilaPts.updateValue([], upder);
        upder = obj.ndExtrFila.updateValue([], upder);
        upder = obj.ndExtrFilaRect.updateValue([], upder);
        upder = obj.ndExtrFilaRMFr.updateValue([], upder);
        upder = obj.ndExtrFilaRMFs.updateValue([], upder);
        upder = obj.ndExtrFilaRMFt.updateValue([], upder);
        upder = obj.ndExtrFilaSmthPts.updateValue([], upder);
        upder = obj.ndTFFocPtInd.updateValue([], upder);
        upder = obj.ndTFStat.updateValue(obj.tf_stat_free, upder);
        obj.ndTFCurrPt.updateValue([], upder);
        return;
    end

    fila_cv = obj.ndFilaEngn.value.TF_getFilamentCurve();
    fila_len = obj.ndFilaEngn.value.TF_getFilamentLength();
    fila_pts = obj.ndFilaEngn.value.TF_getFilamentPoints();

    upder = obj.ndExtrFilaPts.updateValue(fila_pts);
    upder = obj.ndExtrFilaPtLens.updateValue(obj.ndFilaEngn.value.TF_getFilamentPointsLength(), upder);
    upder = obj.ndTFNewFilaPts.updateValue(fila_pts, upder);

    % time consuming, reduce the extraction times.
    [extr_fila_rect, extr_fila, RMF_r, RMF_s, RMF_t, extr_fila_smoothed_pts] = ...
        helix.filamentExtracting(obj.ndTomoVol.value, fila_cv, obj.extr_samp_step, fila_len, obj.extr_max_rad, obj.extr_ref_theta);
    obj.cvter_cyl2eul = @(cyl)(helix.ptCyl2Eul(extr_fila_smoothed_pts, RMF_r, RMF_s, RMF_t, cyl));
    obj.cvter_eul2cyl = @(eul)(helix.ptEul2Cyl(extr_fila_smoothed_pts, RMF_r, RMF_s, RMF_t, eul));

    upder = obj.ndExtrFila.updateValue(extr_fila, upder);
    upder = obj.ndExtrFilaRect.updateValue(extr_fila_rect, upder);
    upder = obj.ndExtrFilaRMFr.updateValue(RMF_r, upder);
    upder = obj.ndExtrFilaRMFs.updateValue(RMF_s, upder);
    upder = obj.ndExtrFilaRMFt.updateValue(RMF_t, upder);
    upder = obj.ndExtrFilaSmthPts.updateValue(extr_fila_smoothed_pts, upder);

    if isempty(obj.ndTFCurrPt.value)
        upder = obj.ndTFCurrPt.updateValue(obj.ndTFNewFilaPts.value(:,1), upder);
        upder = obj.ndTFCurrPtSpc.updateValue(obj.space_euler, upder);
    end

    fila_sec_idx = obj.ndFilaSecInd.value;
    if isempty(fila_sec_idx)
        fila_sec_idx = 1;
    end
%     if obj.ndFilaEngn.value.TF_isFocusing()
%         fila_sec_idx = floor(obj.ndFilaEngn.value.TF_getFocusingPointLen())+1;
%     end
%     fila_sec_idx = min(size(extr_fila_rect, 3), max(1, fila_sec_idx));
    
    obj.ndFilaSecInd.updateValue(fila_sec_idx, upder);

end