function registerClsFilaButton(obj, butt)
    butt.ButtonPushedFcn = @(src, evt)(buttonPushedCallback(obj.ndFilaEngn, src, evt));
    
    comg.Node.output("Enable Close-Filament-Creating-Button",...
            @(fila_engine)(enableButton(butt, fila_engine)), ...
            obj.ndFilaEngn ...
        ).activate();
end

function enableButton(butt, fila_engine)
    flag_enable = fila_engine.inFilamentCreatingMode();
    butt.Enable = flag_enable;
end

function buttonPushedCallback(ndFilaEngn, src, evt)
    fprintf("Cls Filament button pushed.\n");
    ndFilaEngn.value.exitFilamentCreatingMode(false);
    ndFilaEngn.update();
end


