function registerTFOptAngSpin(obj, spin)
    spin.ValueChangedFcn = @(src, evt)(valueChangedCallback(obj.ndSpecOptAng, src, evt));

    comg.Node.output("Set Opt Range at Angle Direction", ...
            @(val)(setSpinValue(spin, val)), ...
            obj.ndSpecOptAng ...
        ).activate();
end

function setSpinValue(spin, val)
    spin.Value = val;
end

function valueChangedCallback(ndSpecOptAng, src, evt)
    fprintf('Opt Range at Angle Direction value changed from %d to %d.\n', evt.PreviousValue, evt.Value);
    ndSpecOptAng.updateValue(evt.Value);
end
