function registerTuneFilaButton(obj, butt)
    butt.ButtonPushedFcn = @(src, evt)(buttonPushedCallback(obj.ndFilaEngn, ...
        obj.ndTFStat, src, evt));
    
    comg.Node.output("Enable Accept-Filament-Creating-Button",...
            @(fila_engine)(enableComponent(butt, fila_engine)), ...
            obj.ndFilaEngn ...
        ).activate();
end

function enableComponent(component, fila_engine)
    flag_enable = fila_engine.allowEnterFilamentTuningMode();
    component.Enable = flag_enable;
end

function buttonPushedCallback(ndFilaEngn, ndTFStat, src, evt)
    fprintf("Tune Filament button pushed.\n");

    ndFilaEngn.value.enterTuningFilamentMode();
    upder = ndFilaEngn.update();
    ndTFStat.updateValue(helix.TomoFilamentUIManager.tf_stat_free, upder);
end
